Subject: bug#59122: 29.0.50; global-text-scale-adjust not working

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Nov 2022 16:51:26 +0200

> Cc: Rudolf Adamkovič <[email-masked]>, [email-masked]
> Date: Wed, 09 Nov 2022 14:36:47 +0000
> From: Gregory Heytings <[email-masked]>
> 
> > (set-face-attribute 'default nil :height (- (face-attribute 'default :height) 6))
> >
> > the font size is decreased.  If I evaluate it more than once, the font 
> > size decreases more with each additional invocation.
> >
> 
> Thanks.  The safe fix should be to change 5 to 6 here.  Eli, do you agree, 
> or is there something else to investigate?

Can you tell more?  I don't think I understand why decreasing the face
height by 5 doesn't work, but decreasing it by 6 does.  If you do
understand, please tell.